Merge pull request #42326 from soltysh/fix_update_stage

Automatic merge from submit-queue

Fix update stage

This PR addressed following problems:

1. Removes comments from all staging godeps and makes sure that they are not placed there. This saves false positive during update when `Comment` field is cut by one digit.
2. Moves updating staging to a separate script (`hack/update-all-staging.sh`), `hack/update-all.sh` only runs verification of staging deps.  

@sttts ptal
pull/6/head
Kubernetes Submit Queue 2017-03-01 06:11:13 -08:00 committed by GitHub
commit ac05be73ac
8 changed files with 110 additions and 211 deletions

87
hack/update-all-staging.sh Executable file
View File

@ -0,0 +1,87 @@
#!/bin/bash
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# A single script that runs a predefined set of update-* scripts, as they often go together.
set -o errexit
set -o nounset
set -o pipefail
KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
source "${KUBE_ROOT}/cluster/lib/util.sh"
source "${KUBE_ROOT}/hack/lib/util.sh"
SILENT=true
ALL=false
while getopts ":va" opt; do
case $opt in
a)
ALL=true
;;
v)
SILENT=false
;;
\?)
echo "Invalid flag: -$OPTARG" >&2
exit 1
;;
esac
done
trap 'exit 1' SIGINT
if $SILENT ; then
echo "Running in the silent mode, run with -v if you want to see script logs."
fi
if ! $ALL ; then
echo "Running in short-circuit mode; run with -a to force all scripts to run."
fi
kube::util::ensure_clean_working_dir
kube::util::ensure_godep_version v74
if ! kube::util::godep_restored 2>&1 | sed 's/^/ /'; then
echo "Running godep restore"
godep restore
fi
BASH_TARGETS="
staging-client-go
staging-godeps
bazel"
for t in $BASH_TARGETS
do
echo -e "${color_yellow}Updating $t${color_norm}"
if $SILENT ; then
if ! bash "$KUBE_ROOT/hack/update-$t.sh" 1> /dev/null; then
echo -e "${color_red}Updating $t FAILED${color_norm}"
if ! $ALL; then
exit 1
fi
fi
else
if ! bash "$KUBE_ROOT/hack/update-$t.sh"; then
echo -e "${color_red}Updating $t FAILED${color_norm}"
if ! $ALL; then
exit 1
fi
fi
fi
done
echo -e "${color_green}Update scripts completed successfully${color_norm}"

View File

@ -51,32 +51,38 @@ if ! $ALL ; then
fi
BASH_TARGETS="
generated-protobuf
codegen
codecgen
generated-docs
generated-swagger-docs
swagger-spec
openapi-spec
api-reference-docs
staging-client-go
staging-godeps
bazel
federation-openapi-spec"
update-generated-protobuf
update-codegen
update-codecgen
update-generated-docs
update-generated-swagger-docs
update-swagger-spec
update-openapi-spec
update-api-reference-docs
update-bazel
update-federation-openapi-spec
verify-staging-client-go
verify-staging-godeps"
for t in $BASH_TARGETS
do
echo -e "${color_yellow}Updating $t${color_norm}"
echo -e "${color_yellow}Running $t${color_norm}"
if $SILENT ; then
if ! bash "$KUBE_ROOT/hack/update-$t.sh" 1> /dev/null; then
echo -e "${color_red}Updating $t FAILED${color_norm}"
if ! bash "$KUBE_ROOT/hack/$t.sh" 1> /dev/null; then
echo -e "${color_red}Running $t FAILED${color_norm}"
if [[ $t == "verify"* ]]; then
echo -e "${color_red}Run ./hack/update-all-staging.sh to fix it"
fi
if ! $ALL; then
exit 1
fi
fi
else
if ! bash "$KUBE_ROOT/hack/update-$t.sh"; then
echo -e "${color_red}Updating $t FAILED${color_norm}"
if ! bash "$KUBE_ROOT/hack/$t.sh"; then
echo -e "${color_red}Running $t FAILED${color_norm}"
if [[ $t == "verify"* ]]; then
echo -e "${color_red}Run ./hack/update-all-staging.sh to fix it"
fi
if ! $ALL; then
exit 1
fi

View File

@ -31,7 +31,6 @@ var (
type Dependency struct {
ImportPath string
Comment string `json:",omitempty"`
Rev string
}

View File

@ -8,7 +8,6 @@
"Deps": [
{
"ImportPath": "github.com/PuerkitoBio/purell",
"Comment": "v1.0.0",
"Rev": "8a290539e2e8629dbc4e6bad948158f790ec31f4"
},
{
@ -29,17 +28,14 @@
},
{
"ImportPath": "github.com/elazarl/goproxy",
"Comment": "v1.0-66-g07b16b6",
"Rev": "07b16b6e30fcac0ad8c0435548e743bcf2ca7e92"
},
{
"ImportPath": "github.com/emicklei/go-restful",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
"ImportPath": "github.com/emicklei/go-restful/log",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
@ -68,12 +64,10 @@
},
{
"ImportPath": "github.com/gogo/protobuf/proto",
"Comment": "v0.2-33-ge18d7aa8",
"Rev": "e18d7aa8f8c624c915db340349aad4c49b10d173"
},
{
"ImportPath": "github.com/gogo/protobuf/sortkeys",
"Comment": "v0.2-33-ge18d7aa8",
"Rev": "e18d7aa8f8c624c915db340349aad4c49b10d173"
},
{
@ -170,7 +164,6 @@
},
{
"ImportPath": "gopkg.in/inf.v0",
"Comment": "v0.9.0",
"Rev": "3887ee99ecf07df5b447e9b00d9c0b2adaa9f3e4"
},
{

View File

@ -8,12 +8,10 @@
"Deps": [
{
"ImportPath": "bitbucket.org/ww/goautoneg",
"Comment": "null-5",
"Rev": "'75cd24fc2f2c2a2088577d12123ddee5f54e0675'"
},
{
"ImportPath": "github.com/PuerkitoBio/purell",
"Comment": "v1.0.0",
"Rev": "8a290539e2e8629dbc4e6bad948158f790ec31f4"
},
{
@ -26,267 +24,214 @@
},
{
"ImportPath": "github.com/boltdb/bolt",
"Comment": "v1.2.1",
"Rev": "dfb21201d9270c1082d5fb0f07f500311ff72f18"
},
{
"ImportPath": "github.com/coreos/etcd/alarm",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/auth",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/auth/authpb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/client",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/clientv3",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/compactor",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/discovery",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/error",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/api",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/api/v2http",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/api/v2http/httptypes",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/api/v3rpc",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/api/v3rpc/rpctypes",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/auth",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/etcdserverpb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/membership",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/stats",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/integration",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/lease",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/lease/leasehttp",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/lease/leasepb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/mvcc",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/mvcc/backend",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/mvcc/mvccpb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/adt",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/contention",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/crc",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/fileutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/httputil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/idutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/ioutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/logutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/netutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/pathutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/pbutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/runtime",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/schedule",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/testutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/tlsutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/transport",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/types",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/wait",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/raft",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/raft/raftpb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/rafthttp",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/snap",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/snap/snappb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/store",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/version",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/wal",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/wal/walpb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
@ -315,32 +260,26 @@
},
{
"ImportPath": "github.com/coreos/go-systemd/daemon",
"Comment": "v8-2-g4484981",
"Rev": "4484981625c1a6a2ecb40a390fcb6a9bcfee76e3"
},
{
"ImportPath": "github.com/coreos/go-systemd/journal",
"Comment": "v8-2-g4484981",
"Rev": "4484981625c1a6a2ecb40a390fcb6a9bcfee76e3"
},
{
"ImportPath": "github.com/coreos/pkg/capnslog",
"Comment": "v2-8-gfa29b1d",
"Rev": "fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8"
},
{
"ImportPath": "github.com/coreos/pkg/health",
"Comment": "v2-8-gfa29b1d",
"Rev": "fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8"
},
{
"ImportPath": "github.com/coreos/pkg/httputil",
"Comment": "v2-8-gfa29b1d",
"Rev": "fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8"
},
{
"ImportPath": "github.com/coreos/pkg/timeutil",
"Comment": "v2-8-gfa29b1d",
"Rev": "fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8"
},
{
@ -349,12 +288,10 @@
},
{
"ImportPath": "github.com/docker/distribution/digest",
"Comment": "v2.4.0-rc.1-38-gcd27f179",
"Rev": "cd27f179f2c10c5d300e6d09025b538c475b0d51"
},
{
"ImportPath": "github.com/docker/distribution/reference",
"Comment": "v2.4.0-rc.1-38-gcd27f179",
"Rev": "cd27f179f2c10c5d300e6d09025b538c475b0d51"
},
{
@ -363,17 +300,14 @@
},
{
"ImportPath": "github.com/emicklei/go-restful",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
"ImportPath": "github.com/emicklei/go-restful/log",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
"ImportPath": "github.com/emicklei/go-restful/swagger",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
@ -402,12 +336,10 @@
},
{
"ImportPath": "github.com/gogo/protobuf/proto",
"Comment": "v0.2-33-ge18d7aa8",
"Rev": "e18d7aa8f8c624c915db340349aad4c49b10d173"
},
{
"ImportPath": "github.com/gogo/protobuf/sortkeys",
"Comment": "v0.2-33-ge18d7aa8",
"Rev": "e18d7aa8f8c624c915db340349aad4c49b10d173"
},
{
@ -464,17 +396,14 @@
},
{
"ImportPath": "github.com/grpc-ecosystem/grpc-gateway/runtime",
"Comment": "v1.0.0-8-gf52d055",
"Rev": "f52d055dc48aec25854ed7d31862f78913cf17d1"
},
{
"ImportPath": "github.com/grpc-ecosystem/grpc-gateway/runtime/internal",
"Comment": "v1.0.0-8-gf52d055",
"Rev": "f52d055dc48aec25854ed7d31862f78913cf17d1"
},
{
"ImportPath": "github.com/grpc-ecosystem/grpc-gateway/utilities",
"Comment": "v1.0.0-8-gf52d055",
"Rev": "f52d055dc48aec25854ed7d31862f78913cf17d1"
},
{
@ -483,7 +412,6 @@
},
{
"ImportPath": "github.com/imdario/mergo",
"Comment": "0.1.3-8-g6633656",
"Rev": "6633656539c1639d9d78127b7d47c622b5d7b6dc"
},
{
@ -520,7 +448,6 @@
},
{
"ImportPath": "github.com/pkg/errors",
"Comment": "v0.7.0-13-ga221380",
"Rev": "a22138067af1c4942683050411a841ade67fe1eb"
},
{
@ -529,12 +456,10 @@
},
{
"ImportPath": "github.com/prometheus/client_golang/prometheus",
"Comment": "0.7.0-52-ge51041b",
"Rev": "e51041b3fa41cece0dca035740ba6411905be473"
},
{
"ImportPath": "github.com/prometheus/client_model/go",
"Comment": "model-0.0.2-12-gfa8ad6f",
"Rev": "fa8ad6fec33561be4280a8f0514318c79d7f6cb6"
},
{
@ -555,12 +480,10 @@
},
{
"ImportPath": "github.com/stretchr/testify/assert",
"Comment": "v1.0-88-ge3a8ff8",
"Rev": "e3a8ff8ce36581f87a15341206f205b1da467059"
},
{
"ImportPath": "github.com/stretchr/testify/require",
"Comment": "v1.0-88-ge3a8ff8",
"Rev": "e3a8ff8ce36581f87a15341206f205b1da467059"
},
{
@ -669,57 +592,46 @@
},
{
"ImportPath": "google.golang.org/grpc",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/codes",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/credentials",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/grpclog",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/internal",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/metadata",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/naming",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/peer",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/transport",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "gopkg.in/inf.v0",
"Comment": "v0.9.0",
"Rev": "3887ee99ecf07df5b447e9b00d9c0b2adaa9f3e4"
},
{
"ImportPath": "gopkg.in/natefinch/lumberjack.v2",
"Comment": "v1.0-16-g20b71e5",
"Rev": "20b71e5b60d756d3d2f80def009790325acc2b23"
},
{

View File

@ -8,17 +8,14 @@
"Deps": [
{
"ImportPath": "cloud.google.com/go/compute/metadata",
"Comment": "v0.1.0-115-g3b1ae45",
"Rev": "3b1ae45394a234c385be014e9a488f2bb6eef821"
},
{
"ImportPath": "cloud.google.com/go/internal",
"Comment": "v0.1.0-115-g3b1ae45",
"Rev": "3b1ae45394a234c385be014e9a488f2bb6eef821"
},
{
"ImportPath": "github.com/PuerkitoBio/purell",
"Comment": "v1.0.0",
"Rev": "8a290539e2e8629dbc4e6bad948158f790ec31f4"
},
{
@ -47,17 +44,14 @@
},
{
"ImportPath": "github.com/coreos/pkg/health",
"Comment": "v2-8-gfa29b1d",
"Rev": "fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8"
},
{
"ImportPath": "github.com/coreos/pkg/httputil",
"Comment": "v2-8-gfa29b1d",
"Rev": "fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8"
},
{
"ImportPath": "github.com/coreos/pkg/timeutil",
"Comment": "v2-8-gfa29b1d",
"Rev": "fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8"
},
{
@ -66,27 +60,22 @@
},
{
"ImportPath": "github.com/docker/distribution/digest",
"Comment": "v2.4.0-rc.1-38-gcd27f17",
"Rev": "cd27f179f2c10c5d300e6d09025b538c475b0d51"
},
{
"ImportPath": "github.com/docker/distribution/reference",
"Comment": "v2.4.0-rc.1-38-gcd27f17",
"Rev": "cd27f179f2c10c5d300e6d09025b538c475b0d51"
},
{
"ImportPath": "github.com/emicklei/go-restful",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
"ImportPath": "github.com/emicklei/go-restful/log",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
"ImportPath": "github.com/emicklei/go-restful/swagger",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
@ -111,12 +100,10 @@
},
{
"ImportPath": "github.com/gogo/protobuf/proto",
"Comment": "v0.2-33-ge18d7aa",
"Rev": "e18d7aa8f8c624c915db340349aad4c49b10d173"
},
{
"ImportPath": "github.com/gogo/protobuf/sortkeys",
"Comment": "v0.2-33-ge18d7aa",
"Rev": "e18d7aa8f8c624c915db340349aad4c49b10d173"
},
{
@ -141,7 +128,6 @@
},
{
"ImportPath": "github.com/imdario/mergo",
"Comment": "0.1.3-8-g6633656",
"Rev": "6633656539c1639d9d78127b7d47c622b5d7b6dc"
},
{
@ -174,7 +160,6 @@
},
{
"ImportPath": "github.com/stretchr/testify/assert",
"Comment": "v1.0-88-ge3a8ff8",
"Rev": "e3a8ff8ce36581f87a15341206f205b1da467059"
},
{
@ -307,7 +292,6 @@
},
{
"ImportPath": "gopkg.in/inf.v0",
"Comment": "v0.9.0",
"Rev": "3887ee99ecf07df5b447e9b00d9c0b2adaa9f3e4"
},
{

View File

@ -8,12 +8,10 @@
"Deps": [
{
"ImportPath": "bitbucket.org/ww/goautoneg",
"Comment": "null-5",
"Rev": "'75cd24fc2f2c2a2088577d12123ddee5f54e0675'"
},
{
"ImportPath": "github.com/PuerkitoBio/purell",
"Comment": "v1.0.0",
"Rev": "8a290539e2e8629dbc4e6bad948158f790ec31f4"
},
{
@ -26,72 +24,58 @@
},
{
"ImportPath": "github.com/coreos/etcd/auth/authpb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/client",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/clientv3",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/api/v3rpc/rpctypes",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/etcdserverpb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/mvcc/mvccpb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/fileutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/pathutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/tlsutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/transport",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/types",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/go-systemd/daemon",
"Comment": "v8-2-g4484981",
"Rev": "4484981625c1a6a2ecb40a390fcb6a9bcfee76e3"
},
{
"ImportPath": "github.com/coreos/go-systemd/journal",
"Comment": "v8-2-g4484981",
"Rev": "4484981625c1a6a2ecb40a390fcb6a9bcfee76e3"
},
{
"ImportPath": "github.com/coreos/pkg/capnslog",
"Comment": "v2-8-gfa29b1d",
"Rev": "fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8"
},
{
@ -100,12 +84,10 @@
},
{
"ImportPath": "github.com/docker/distribution/digest",
"Comment": "v2.4.0-rc.1-38-gcd27f179",
"Rev": "cd27f179f2c10c5d300e6d09025b538c475b0d51"
},
{
"ImportPath": "github.com/docker/distribution/reference",
"Comment": "v2.4.0-rc.1-38-gcd27f179",
"Rev": "cd27f179f2c10c5d300e6d09025b538c475b0d51"
},
{
@ -122,17 +104,14 @@
},
{
"ImportPath": "github.com/emicklei/go-restful",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
"ImportPath": "github.com/emicklei/go-restful/log",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
"ImportPath": "github.com/emicklei/go-restful/swagger",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
@ -161,12 +140,10 @@
},
{
"ImportPath": "github.com/gogo/protobuf/proto",
"Comment": "v0.2-33-ge18d7aa8",
"Rev": "e18d7aa8f8c624c915db340349aad4c49b10d173"
},
{
"ImportPath": "github.com/gogo/protobuf/sortkeys",
"Comment": "v0.2-33-ge18d7aa8",
"Rev": "e18d7aa8f8c624c915db340349aad4c49b10d173"
},
{
@ -191,17 +168,14 @@
},
{
"ImportPath": "github.com/grpc-ecosystem/grpc-gateway/runtime",
"Comment": "v1.0.0-8-gf52d055",
"Rev": "f52d055dc48aec25854ed7d31862f78913cf17d1"
},
{
"ImportPath": "github.com/grpc-ecosystem/grpc-gateway/runtime/internal",
"Comment": "v1.0.0-8-gf52d055",
"Rev": "f52d055dc48aec25854ed7d31862f78913cf17d1"
},
{
"ImportPath": "github.com/grpc-ecosystem/grpc-gateway/utilities",
"Comment": "v1.0.0-8-gf52d055",
"Rev": "f52d055dc48aec25854ed7d31862f78913cf17d1"
},
{
@ -210,7 +184,6 @@
},
{
"ImportPath": "github.com/imdario/mergo",
"Comment": "0.1.3-8-g6633656",
"Rev": "6633656539c1639d9d78127b7d47c622b5d7b6dc"
},
{
@ -247,17 +220,14 @@
},
{
"ImportPath": "github.com/pkg/errors",
"Comment": "v0.7.0-13-ga221380",
"Rev": "a22138067af1c4942683050411a841ade67fe1eb"
},
{
"ImportPath": "github.com/prometheus/client_golang/prometheus",
"Comment": "0.7.0-52-ge51041b",
"Rev": "e51041b3fa41cece0dca035740ba6411905be473"
},
{
"ImportPath": "github.com/prometheus/client_model/go",
"Comment": "model-0.0.2-12-gfa8ad6f",
"Rev": "fa8ad6fec33561be4280a8f0514318c79d7f6cb6"
},
{
@ -374,57 +344,46 @@
},
{
"ImportPath": "google.golang.org/grpc",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/codes",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/credentials",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/grpclog",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/internal",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/metadata",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/naming",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/peer",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/transport",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "gopkg.in/inf.v0",
"Comment": "v0.9.0",
"Rev": "3887ee99ecf07df5b447e9b00d9c0b2adaa9f3e4"
},
{
"ImportPath": "gopkg.in/natefinch/lumberjack.v2",
"Comment": "v1.0-16-g20b71e5",
"Rev": "20b71e5b60d756d3d2f80def009790325acc2b23"
},
{

View File

@ -8,12 +8,10 @@
"Deps": [
{
"ImportPath": "bitbucket.org/ww/goautoneg",
"Comment": "null-5",
"Rev": "'75cd24fc2f2c2a2088577d12123ddee5f54e0675'"
},
{
"ImportPath": "github.com/PuerkitoBio/purell",
"Comment": "v1.0.0",
"Rev": "8a290539e2e8629dbc4e6bad948158f790ec31f4"
},
{
@ -26,72 +24,58 @@
},
{
"ImportPath": "github.com/coreos/etcd/auth/authpb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/client",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/clientv3",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/api/v3rpc/rpctypes",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/etcdserver/etcdserverpb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/mvcc/mvccpb",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/fileutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/pathutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/tlsutil",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/transport",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/etcd/pkg/types",
"Comment": "v3.0.17",
"Rev": "cc198e22d3b8fd7ec98304c95e68ee375be54589"
},
{
"ImportPath": "github.com/coreos/go-systemd/daemon",
"Comment": "v8-2-g4484981",
"Rev": "4484981625c1a6a2ecb40a390fcb6a9bcfee76e3"
},
{
"ImportPath": "github.com/coreos/go-systemd/journal",
"Comment": "v8-2-g4484981",
"Rev": "4484981625c1a6a2ecb40a390fcb6a9bcfee76e3"
},
{
"ImportPath": "github.com/coreos/pkg/capnslog",
"Comment": "v2-8-gfa29b1d",
"Rev": "fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8"
},
{
@ -100,12 +84,10 @@
},
{
"ImportPath": "github.com/docker/distribution/digest",
"Comment": "v2.4.0-rc.1-38-gcd27f179",
"Rev": "cd27f179f2c10c5d300e6d09025b538c475b0d51"
},
{
"ImportPath": "github.com/docker/distribution/reference",
"Comment": "v2.4.0-rc.1-38-gcd27f179",
"Rev": "cd27f179f2c10c5d300e6d09025b538c475b0d51"
},
{
@ -114,17 +96,14 @@
},
{
"ImportPath": "github.com/emicklei/go-restful",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
"ImportPath": "github.com/emicklei/go-restful/log",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
"ImportPath": "github.com/emicklei/go-restful/swagger",
"Comment": "v1.2-96-g09691a3",
"Rev": "09691a3b6378b740595c1002f40c34dd5f218a22"
},
{
@ -153,12 +132,10 @@
},
{
"ImportPath": "github.com/gogo/protobuf/proto",
"Comment": "v0.2-33-ge18d7aa8",
"Rev": "e18d7aa8f8c624c915db340349aad4c49b10d173"
},
{
"ImportPath": "github.com/gogo/protobuf/sortkeys",
"Comment": "v0.2-33-ge18d7aa8",
"Rev": "e18d7aa8f8c624c915db340349aad4c49b10d173"
},
{
@ -183,17 +160,14 @@
},
{
"ImportPath": "github.com/grpc-ecosystem/grpc-gateway/runtime",
"Comment": "v1.0.0-8-gf52d055",
"Rev": "f52d055dc48aec25854ed7d31862f78913cf17d1"
},
{
"ImportPath": "github.com/grpc-ecosystem/grpc-gateway/runtime/internal",
"Comment": "v1.0.0-8-gf52d055",
"Rev": "f52d055dc48aec25854ed7d31862f78913cf17d1"
},
{
"ImportPath": "github.com/grpc-ecosystem/grpc-gateway/utilities",
"Comment": "v1.0.0-8-gf52d055",
"Rev": "f52d055dc48aec25854ed7d31862f78913cf17d1"
},
{
@ -202,7 +176,6 @@
},
{
"ImportPath": "github.com/imdario/mergo",
"Comment": "0.1.3-8-g6633656",
"Rev": "6633656539c1639d9d78127b7d47c622b5d7b6dc"
},
{
@ -235,17 +208,14 @@
},
{
"ImportPath": "github.com/pkg/errors",
"Comment": "v0.7.0-13-ga221380",
"Rev": "a22138067af1c4942683050411a841ade67fe1eb"
},
{
"ImportPath": "github.com/prometheus/client_golang/prometheus",
"Comment": "0.7.0-52-ge51041b",
"Rev": "e51041b3fa41cece0dca035740ba6411905be473"
},
{
"ImportPath": "github.com/prometheus/client_model/go",
"Comment": "model-0.0.2-12-gfa8ad6f",
"Rev": "fa8ad6fec33561be4280a8f0514318c79d7f6cb6"
},
{
@ -362,57 +332,46 @@
},
{
"ImportPath": "google.golang.org/grpc",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/codes",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/credentials",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/grpclog",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/internal",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/metadata",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/naming",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/peer",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "google.golang.org/grpc/transport",
"Comment": "v1.0.0-183-g231b4cf",
"Rev": "231b4cfea0e79843053a33f5fe90bd4d84b23cd3"
},
{
"ImportPath": "gopkg.in/inf.v0",
"Comment": "v0.9.0",
"Rev": "3887ee99ecf07df5b447e9b00d9c0b2adaa9f3e4"
},
{
"ImportPath": "gopkg.in/natefinch/lumberjack.v2",
"Comment": "v1.0-16-g20b71e5",
"Rev": "20b71e5b60d756d3d2f80def009790325acc2b23"
},
{